﻿@import "../../Utilities/Index";

.employee-management-layout {
    max-width: 1400px;
    margin: 0 auto;

    $info-width: 260px;

    position: relative;

    .app__section__body {
        @include mq("sd") {
            &:after {
                background: $color-border;
                content: "";
                display: block;
                height: calc(100% + 30px);
                position: absolute;
                right: $info-width - $padding-default;
                top: -$padding-default;
                width: 1px;
            }
        }
    }

    @include bem-e("user-info-section") {
        padding: 0;
        position: relative;

        @include mq("sd") {
            display: inline-block;
            margin-right: -$padding-default;
            padding: $padding-default 0;
            vertical-align: top;
            width: $info-width;
        }
    }

    @include bem-e("page-content-section") {
        position: relative;

        @include mq("sd") {
            display: inline-block;
            padding-right: $padding-default;
            vertical-align: top;
            width: calc(100% - #{$info-width});
        }
    }

    @include bem-e("avatar-wrapper") {
        display: none;

        @include mq("sd") {
            background: $color-white--dark;
            border: 1px solid $color-border;
            display: block;
            height: auto;
            margin: 0 auto;
            max-width: 130px;
            padding: 5px;
        }
    }

    @include bem-e("avatar") {
        border: 1px dashed $color-border;
        display: block;
        width: 100%;
    }

    @include bem-e("info") {
        display: none;

        @include mq("sd") {
            color: $color-text;
            display: block;
            font-size: 14px;
            padding: $padding-default / 2;
            text-align: center;
        }
    }

    @include bem-e("links-wrapper") {
        border-bottom: 1px solid $color-gray;
        overflow-x: auto;
        position: relative;
        white-space: nowrap;

        @include mq("sd") {
            border-bottom: none;
            overflow-x: hidden;
            padding-top: $padding-default;
            white-space: normal;
        }
    }

    @include bem-e("link") {
        border-top-left-radius: 4px;
        border-top-right-radius: 4px;
        color: $color-text;
        display: inline-block;
        font-size: 13px;
        padding: 5px 10px;
        text-decoration: none !important;
        vertical-align: top;


        @include mq("sd") {
            border-radius: 0;
            border-bottom: 1px solid lighten($color-border, 4%);
            border-left: 3px solid transparent;
            display: block;
            text-align: center;
        }

        &--active,
        &:hover {
            background-color: $color-info;
            color: $color-white;

            @include mq(sd) {
                background-color: $color-white--dark;
                color: $color-info;
                border-left-color: $color-info;
            }
        }
    }

    @include bem-e("new-wrapper") {
        padding: $padding-default 0;
        text-align: left;
    }
}